## class SG_EXPORT osg::DrawArrayLengths

## Inheritance:

### Public Methods

DrawArrayLengths(GLenum mode=0)
DrawArrayLengths(const DrawArrayLengths& dal, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
DrawArrayLengths(GLenum mode, GLint first, unsigned int no, GLsizei* ptr)
DrawArrayLengths(GLenum mode, GLint first, unsigned int no)
DrawArrayLengths(GLenum mode, GLint first)
virtual Object* cloneType() const
virtual Object* clone(const CopyOp& copyop) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
void setFirst(GLint first)
GLint getFirst() const
virtual void draw() const
virtual void accept(Drawable::PrimitiveFunctor& functor) const
virtual unsigned int getNumIndices() const
virtual unsigned int index(unsigned int pos) const
virtual void offsetIndices(int offset)
virtual unsigned int getNumPrimitives() const

### Protected Fields

GLint _first

### Protected Methods

virtual ~DrawArrayLengths()

### Inherited from PrimitiveSet:

### Public Methods

Type getType() const
void setMode(GLenum mode)
GLenum getMode() const

### Public Members

enum Type
enum Mode

### Protected Fields

Type _primitiveType
GLenum _mode

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`DrawArrayLengths(GLenum mode=0)`

`DrawArrayLengths(const DrawArrayLengths& dal, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`DrawArrayLengths(GLenum mode, GLint first, unsigned int no, GLsizei* ptr)`

`DrawArrayLengths(GLenum mode, GLint first, unsigned int no)`

`DrawArrayLengths(GLenum mode, GLint first)`

`virtual Object* cloneType() const`

`virtual Object* clone(const CopyOp& copyop) const`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`void setFirst(GLint first)`

`GLint getFirst() const`

`virtual void draw() const`

`virtual void accept(Drawable::PrimitiveFunctor& functor) const`

`virtual unsigned int getNumIndices() const`

`virtual unsigned int index(unsigned int pos) const`

`virtual void offsetIndices(int offset)`

`virtual unsigned int getNumPrimitives() const`

`virtual ~DrawArrayLengths()`

`GLint _first`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.